<?=$this->partial('blocks-contentheader');?>

<div class="widget">
    <div class="widget-header">
        <h3><i class="fa fa-magic"></i>
        <?php if ( $this->session->has('edit-communityId') ): ?>
            修改社區大樓資訊{<?=$this->session->get('edit-communityId');?>}
        <?php else: ?>
            新增社區大樓
        <?php endif; ?>
        </h3>
    </div>
    <div class="widget-content">

    <form id="communityForm" class="form-horizontal form-validation" action="<?=$this->url->get("houserich/community/save");?>" method="post">
<?=$form->render('communityId'); ?>

<section class="form-group">
<?=$form->renderGroups(["name", "company"],
                        "\\House\\Forms\\Decorators\\GridElement");?>
</section>

<hr class="inner-separator">
<div class="form-inline">
<section class="form-group" style="margin-left: 0px;">
<?=$form->render('publicFacility'); ?>
</section>
</div>

<hr class="inner-separator">

<section class="form-group">
<?=$form->renderGroups(["addressCity",
                        "addressDistrict",
                        "addressRoad",
                        "addressLane",
                        "addressAlley",
                        "addressNo"],
                        "\\House\\Forms\\Decorators\\Addresses");?>
</section>

<hr class="inner-separator">
<div class="form-inline">
<section class="form-group" style="margin-left: 0px;">
<?=$form->render('meterials'); ?>
</section>
</div>

<hr class="inner-separator">
<div class="form-inline">
<section class="form-group" style="margin-left: 0px;">
<?=$form->render('completion');?>
<?=$form->render('houseAgeYear');?>
<?=$form->render('houseAgeMonth');?>
<?=$form->render('floorAbove');?>
<?=$form->render('floorBelow');?>
<?=$form->render('roadWidth');?>
</section>
</div>

<hr class="inner-separator">
<div class="form-inline">
<section class="form-group" style="margin-left: 0px;">
<?=$form->render('numElevators');?>
<?=$form->render('onefloor');?>
<?=$form->render('baseArea');?>
<?=$form->render('numBuildings');?>
<?=$form->render('numHousehold');?>
</section>
</div>

<hr class="inner-separator">
<section class="form-group" style="margin-left: 0px;margin-right: 0px;">
<?=$form->render('description');?>
</section>


<hr class="inner-separator">

        <aside class="text-center">
            <?php if( $this->session->has('create-communityId') or $this->session->has('edit-communityId') ): ?>
            <a class="btn btn-primary btn-lg text-right" href="<?=$this->url->get('houserich/community/form/reset') ?>">重新建檔</a>
            <button id="ctrlFromBtn" type="button" class="btn btn-primary btn-lg text-right">欄位更新</button>
            <?php else: ?>
            <button id="ctrlFromBtn" type="button" class="btn btn-primary btn-lg text-right">社區建檔</button>
            <?php endif; ?>
        </aside>

    </form>

    </div>
</div>

<?php if( $this->session->has('create-communityId') or $this->session->has('edit-communityId') ){

        $CommunityId = ( $this->session->has('create-communityId') ) ? $this->session->get('create-communityId') : $this->session->get('edit-communityId');
        echo $this->partial('../community/photo', array('KeyID'=>$CommunityId));

        $name=null;$address=null;
        $community = \Houserich\Models\Community::findFirst($CommunityId);
        $name = $community->name;
        $address = $community->address;

        echo $this->partial('../gis/map', array(
                              "gisform" => new \House\Core\Forms\GeomarkersForm(),
                              "gisType" => 'community',
                              "name" => $name,
                              "address" => $address,
                              "labelhide" => false,
                              "addressreadonly" => true ));


        echo $this->partial('../gis/distance', array(
                              "KeyID" => $CommunityId,
                              "gisType"=> "Community",
                              "modelclass" => 'CommunityMrt' ));

      }

?>


<script type="text/javascript">
$(function(){
    <?php if($this->session->get('create-communityId') or $this->session->get('edit-communityId')): ?>
    _depend_city_withdistrict( $(".depend-city"), 1 );
    <?php endif; ?>

    _date_to_count_houseage();

    _wysihtml_description();


    /**
     * Google Map
     * 處理座標點紀錄功能，針對計算距離具體作法
     * */
    geocoder = new google.maps.Geocoder();
    // 地標名稱與地址抓取判斷（可能從載入頁面自訂細部操作）
    $("#mapqueryBtn").click(function(){
        ADDRESS = _map_combine_address(["#addressCity","#addressDistrict","#addressRoad","#addressLane","#addressAlley","#addressNo"]);

      if( ADDRESS == "" ){
          alert('請填寫完整地址後再次處理。')
          return ;
      }

      //將社區大樓名稱寫到geomarkers表單欄位
      _map_field_mapping( $("#marklabel"), $("#name").val() );

      latLng = _map_center_withaddr( ADDRESS , 15, function(GEO, address){
        _map_add_marker(GEO, 1);
        _map_update_latlng(GEO);
        // console.log( address );
        _map_field_mapping( $("#markaddress"), ADDRESS );
      });
    });

    if( $("#latitude").val() != "" && $("#longitude").val() != "" ){
        _map_center_withlatlng($("#latitude").val(), $("#longitude").val(), 15);
    }else{
        addr=$("#addressCity").val()+$("#addressDistrict").val();
        _map_center_withaddr(addr, 0);
    }
});
</script>
